Modernize protection log to use LogFormatter & have it decoupled from IRC text
Closed, ResolvedPublic

Description

See comments in Change-Id: Ifeec00fc98c7912b6e16b6f07d1fdc26ab4e4fb5

Currently protection log entries are stored in plain text which is also used as the IRC line, making it hard to be i18n'ed. It could be nice to just store the original restriction array, use the new LogFormatter architecture to format it on display, and have it decoupled from IRC text, so it can be correctly translated without breaking existing bots.

Details

Reference
bz45988
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz45988.
bzimport added a subscriber: Unknown Object (MLST).
liangent created this task.Mar 11 2013, 3:19 PM

Change 152156 had a related patch set uploaded (by Umherirrender):
Migrate protect log to new log system

https://gerrit.wikimedia.org/r/152156

Patch-For-Review

Change 152156 abandoned by Umherirrender:
Migrate protect log to new log system

Reason:
Old patch, no longer support from my side

Feel free to upload or modify in an own patch set.

https://gerrit.wikimedia.org/r/152156

Umherirrender removed Umherirrender as the assignee of this task.Apr 7 2015, 9:05 PM
Umherirrender removed a project: Patch-For-Review.
Umherirrender set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 18 2015, 4:04 AM

Change 223440 had a related patch set uploaded (by Alex Monk):
Migrate move protect log to new log system

https://gerrit.wikimedia.org/r/223440

Change 223440 merged by jenkins-bot:
Migrate move protect log to new log system

https://gerrit.wikimedia.org/r/223440

Change 233166 had a related patch set uploaded (by Umherirrender):
[WIP] Migrate protect log to new log system

https://gerrit.wikimedia.org/r/233166

Change 233166 merged by jenkins-bot:
Migrate protect log to new log system

https://gerrit.wikimedia.org/r/233166

Umherirrender closed this task as Resolved.Sep 25 2015, 3:33 PM
Umherirrender claimed this task.
Umherirrender removed a subscriber: wikibugs-l-list.
matej_suchanek removed a project: Patch-For-Review.
matej_suchanek removed a subscriber: gerritbot.
Glaisher added a subscriber: Glaisher.

Please mention this on Tech News as this has a quite visible change. With this change, timestamps are now shown in user's timezone, previously it was the actual UTC time at which the log was inserted.

Should probably be in release notes too?